Subject: Re: bug#29541: 27.0.50; Use generic function when restoring eieio-persistent, remove validation

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 28 Aug 2020 08:24:10 -0700

On 08/28/20 16:18 PM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> This was quite a while ago, and the original patch no longer applies.
>> I've done up the same changes as two separate patches: one removing
>> extra validation, and the other creating a generic function for
>> constructing eieio-persistent objects. All the tests pass.
>
> I've just skimmed the code, but it looks good to me.  I'd say just apply
> it and then see whether there is any fallout (but I don't expect there
> to be).

I've also used this with the gnus registry and EBDB, which should
exercise it fairly well. I'll push now.